=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2011-04-05 10:14:18 +0000
+++ drizzled/drizzled.cc	2011-04-05 12:41:00 +0000
@@ -82,8 +82,6 @@
 
 #include <google/protobuf/stubs/common.h>
 
-#include <drizzled/refresh_version.h>
-
 #if TIME_WITH_SYS_TIME
 # include <sys/time.h>
 # include <time.h>

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2011-03-28 14:32:36 +0000
+++ drizzled/include.am	2011-04-05 12:41:00 +0000
@@ -383,7 +383,6 @@
 			      drizzled/qsort_cmp.h \
 			      drizzled/query_id.h \
 			      drizzled/records.h \
-			      drizzled/refresh_version.h \
 			      drizzled/replication_services.h \
 			      drizzled/resource_context.h \
 			      drizzled/schema.h \
@@ -806,7 +805,6 @@
 			   drizzled/plugin/xa_storage_engine.cc \
 			   drizzled/query_id.cc \
 			   drizzled/records.cc \
-			   drizzled/refresh_version.cc \
 			   drizzled/replication_services.cc \
 			   drizzled/resource_context.cc \
 			   drizzled/select_dumpvar.cc \

=== modified file 'drizzled/locking/global.cc'
--- drizzled/locking/global.cc	2011-04-05 10:14:18 +0000
+++ drizzled/locking/global.cc	2011-04-05 12:41:00 +0000
@@ -88,7 +88,6 @@
 #include <drizzled/pthread_globals.h>
 #include <drizzled/internal/my_sys.h>
 #include <drizzled/pthread_globals.h>
-#include <drizzled/refresh_version.h>
 #include <drizzled/plugin/storage_engine.h>
 #include <drizzled/util/test.h>
 

=== removed file 'drizzled/refresh_version.cc'
--- drizzled/refresh_version.cc	2011-04-05 10:14:18 +0000
+++ drizzled/refresh_version.cc	1970-01-01 00:00:00 +0000
@@ -1,34 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2009 Sun Microsystems, Inc.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_REFRESH_VERSION_H
-#define DRIZZLED_REFRESH_VERSION_H
-
-#include <config.h>
-
-namespace drizzled {
-
-/** 
-  Refresh value. We use to test this to find out if a refresh even has happened recently.
-*/
-uint64_t g_refresh_version;  /* Increments on each reload */
-
-} /* namespace drizzled */
-
-#endif /* DRIZZLED_REFRESH_VERSION_H */

=== removed file 'drizzled/refresh_version.h'
--- drizzled/refresh_version.h	2011-04-05 12:26:58 +0000
+++ drizzled/refresh_version.h	1970-01-01 00:00:00 +0000
@@ -1,31 +0,0 @@
-
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2009 Sun Microsystems, Inc.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#pragma once
-
-namespace drizzled {
-
-/** 
-  Refresh value. We use to test this to find out if a refresh even has happened recently.
-*/
-// extern uint64_t g_refresh_version;  /* Increments on each reload */
-
-} /* namespace drizzled */
-

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-04-05 12:26:58 +0000
+++ drizzled/session.cc	2011-04-05 12:41:00 +0000
@@ -54,7 +54,6 @@
 #include <drizzled/probes.h>
 #include <drizzled/pthread_globals.h>
 #include <drizzled/query_id.h>
-#include <drizzled/refresh_version.h>
 #include <drizzled/schema.h>
 #include <drizzled/select_dump.h>
 #include <drizzled/select_exists_subselect.h>
@@ -105,6 +104,8 @@
 
 const char * const Session::DEFAULT_WHERE= "field list";
 
+uint64_t g_refresh_version = 1;
+
 bool Key_part_spec::operator==(const Key_part_spec& other) const
 {
   return length == other.length &&

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2011-04-05 12:26:58 +0000
+++ drizzled/sql_base.cc	2011-04-05 12:41:00 +0000
@@ -60,7 +60,6 @@
 #include <drizzled/session.h>
 #include <drizzled/item/subselect.h>
 #include <drizzled/sql_lex.h>
-#include <drizzled/refresh_version.h>
 #include <drizzled/catalog/local.h>
 
 using namespace std;

=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2011-04-05 10:14:18 +0000
+++ drizzled/table.cc	2011-04-05 12:41:00 +0000
@@ -53,7 +53,6 @@
 #include <drizzled/item/float.h>
 #include <drizzled/item/null.h>
 #include <drizzled/temporal.h>
-#include <drizzled/refresh_version.h>
 #include <drizzled/table/singular.h>
 #include <drizzled/table_proto.h>
 #include <drizzled/typelib.h>

=== modified file 'drizzled/table/instance/base.cc'
--- drizzled/table/instance/base.cc	2011-04-05 10:14:18 +0000
+++ drizzled/table/instance/base.cc	2011-04-05 12:41:00 +0000
@@ -83,7 +83,6 @@
 #include <drizzled/plugin/storage_engine.h>
 #include <drizzled/definition/cache.h>
 #include <drizzled/typelib.h>
-#include <drizzled/refresh_version.h>
 #include <drizzled/key.h>
 
 using namespace std;

=== modified file 'plugin/signal_handler/signal_handler.cc'
--- plugin/signal_handler/signal_handler.cc	2011-04-05 10:14:18 +0000
+++ plugin/signal_handler/signal_handler.cc	2011-04-05 12:41:00 +0000
@@ -29,7 +29,6 @@
 #include <drizzled/session/cache.h>
 #include <drizzled/debug.h>
 #include <drizzled/drizzled.h>
-#include <drizzled/refresh_version.h>
 
 #include <boost/thread/thread.hpp>
 #include <boost/filesystem.hpp>

